= nested_form_for @movie do |f|
  - if @movie.errors.any?
    #error_explanation
      %h2= "#{pluralize(@movie.errors.count, "error")} prohibited this movie from being saved:"
      %ul
        - @movie.errors.full_messages.each do |message|
          %li= message
  .form-group
    = f.label :title, class: "col-sm-1 control-label text-left-imp"
    .col-sm-11
      = f.text_field :title, class: "form-control"
  .form-group
    = f.label "Release Year", class: "col-sm-1 control-label text-left-imp"
    .col-sm-11
      = f.text_field :release_year, class: "form-control"
  %hr
  %h3 Actors
  .box-body
    = f.fields_for :actor_movies do |ff|
      .form-group
        = ff.label :actor, class: "col-sm-1 control-label text-left-imp"
        .col-sm-11
          = ff.collection_select :celeb_user_id, CelebUser.actors, :id, :full_name, {include_blank: "Select Actor"}, class: "form-control"
        .actor-remove-btn{title: "Remove Actor"}
          = ff.link_to_remove do
            .btn.btn-default
              %i.fa.fa-trash-o
                %span.btn-text Remove
    .actor-add-btn
      = f.link_to_add :actor_movies, class: "btn btn-default" do
        Add Actor
        %i.fa.fa-plus-circle
  %hr
  %h3 Producers
  .box-body
    = f.fields_for :producer_movies do |ff|
      .form-group
        = ff.label :producer, class: "col-sm-1 control-label text-left-imp"
        .col-sm-11
          = ff.collection_select :celeb_user_id, CelebUser.producers, :id, :full_name, {include_blank: "Select Producer"}, class: "form-control"
        .producer-remove-btn{title: "Remove Producer"}
          = ff.link_to_remove do
            .btn.btn-default
              %i.fa.fa-trash-o
                %span.btn-text Remove
    .actor-add-btn
      = f.link_to_add :producer_movies, class: "btn btn-default" do
        Add Producer
        %i.fa.fa-plus-circle
  %hr
  %h3 Directors
  .box-body
    = f.fields_for :director_movies do |ff|
      .form-group
        = ff.label :director, class: "col-sm-1 control-label text-left-imp"
        .col-sm-11
          = ff.collection_select :celeb_user_id, CelebUser.directors, :id, :full_name, {include_blank: "Select Actor"}, class: "form-control"
        .director-remove-btn{title: "Remove Director"}
          = ff.link_to_remove do
            .btn.btn-default
              %i.fa.fa-trash-o
                %span.btn-text Remove
    .actor-add-btn
      = f.link_to_add :director_movies, class: "btn btn-default" do
        Add Director
        %i.fa.fa-plus-circle
  .actions
    = f.submit 'Save'